Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.ExternalContinuationRunnable

    java.lang.Object
      rice.Continuation.ExternalContinuationRunnable

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  Continuation.ExternalRunnable

Enclosing interface:
  Continuation<R,E extends java.lang.Exception>

    public abstract static class Continuation.ExternalContinuationRunnable

extends java.lang.Object
implements java.lang.Runnable

This class is used when you want to run some task on the selector thread and wait for it to return its result in a Continuation. It is essentially a covnenience object which combines the functionality of a Runnable that can be invoked on the Selector with an ExternalContinuation that it will wait on. Override the run(Continuation) method then call invoke() to get the result or Exception from the operation. The current thread will block on invoke until the continuation returns a result or an exception.

Author:
  jstewart

Constructor Summary
`Continuation.ExternalContinuationRunnable()`

Method Summary
`protected abstract void` | `execute(Continuation c)`
`java.lang.Object` | `invoke(Environment env)`
`java.lang.Object` | `invoke(SelectorManager sm)`
`void` | `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Continuation.ExternalContinuationRunnable

    public Continuation.ExternalContinuationRunnable()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### execute

    protected abstract void execute(Continuation c)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### invoke

    public java.lang.Object invoke(SelectorManager sm)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### invoke

    public java.lang.Object invoke(Environment env)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.